searchNodes=[{"doc":"Yet Another Queue module for Elixir","ref":"Yaq.html","title":"Yaq","type":"module"},{"doc":"Remove an item from the front of the queue.Examplesiex&gt; {term, q} = Yaq.new(1..3) |&gt; Yaq.dequeue() iex&gt; term 1 iex&gt; q #Yaq&lt;length: 2&gt;","ref":"Yaq.html#dequeue/1","title":"Yaq.dequeue/1","type":"function"},{"doc":"Remove an item from the rear of the queue.Examplesiex&gt; {term, q} = Yaq.new(1..3) |&gt; Yaq.dequeue_r() iex&gt; term 3 iex&gt; q #Yaq&lt;length: 2&gt;","ref":"Yaq.html#dequeue_r/1","title":"Yaq.dequeue_r/1","type":"function"},{"doc":"Push a new term onto the rear of the queue.Parametersq: Current queueterm: Elixir term to enqueueExamplesiex&gt; q = Yaq.new() #Yaq&lt;length: 0&gt; iex&gt; q = Yaq.enqueue(q, 1) #Yaq&lt;length: 1&gt; iex&gt; q = Yaq.enqueue(q, 2) #Yaq&lt;length: 2&gt; iex&gt; Yaq.to_list(q) [1, 2]","ref":"Yaq.html#enqueue/2","title":"Yaq.enqueue/2","type":"function"},{"doc":"Push a new term onto the front of the queue.Examplesiex&gt; q = Yaq.new() #Yaq&lt;length: 0&gt; iex&gt; q = Yaq.enqueue_r(q, 1) #Yaq&lt;length: 1&gt; iex&gt; q = Yaq.enqueue_r(q, 2) #Yaq&lt;length: 2&gt; iex&gt; Yaq.to_list(q) [2, 1]","ref":"Yaq.html#enqueue_r/2","title":"Yaq.enqueue_r/2","type":"function"},{"doc":"Create a new queue.Parametersenum (optional): initial queue dataExamplesiex&gt; Yaq.new() #Yaq&lt;length: 0&gt; iex&gt; Yaq.new(1..10) #Yaq&lt;length: 10&gt;","ref":"Yaq.html#new/1","title":"Yaq.new/1","type":"function"},{"doc":"Return the front element of the queue. Returns nil if emptyParametersq: Current queueExamplesiex&gt; Yaq.new() |&gt; Yaq.peek() nil iex&gt; Yaq.new(1..3) |&gt; Yaq.peek() 1","ref":"Yaq.html#peek/1","title":"Yaq.peek/1","type":"function"},{"doc":"Returns the rear element of the queue.Parametersq: Current queueExamplesiex&gt; Yaq.new() |&gt; Yaq.peek_r() nil iex&gt; Yaq.new(1..3) |&gt; Yaq.peek_r() 3","ref":"Yaq.html#peek_r/1","title":"Yaq.peek_r/1","type":"function"},{"doc":"Return the number of elements in the queue.Parametersq: Current queueExamplesiex&gt; Yaq.new() |&gt; Yaq.size() 0 iex&gt; Yaq.new(1..3) |&gt; Yaq.size() 3","ref":"Yaq.html#size/1","title":"Yaq.size/1","type":"function"},{"doc":"Return the elements of the queue as a list.Parametersq: Current queueExamplesiex&gt; Yaq.new([1, 2, 3]) |&gt; Yaq.to_list() [1, 2, 3]","ref":"Yaq.html#to_list/1","title":"Yaq.to_list/1","type":"function"},{"doc":"","ref":"Yaq.html#t:t/0","title":"Yaq.t/0","type":"opaque"},{"doc":"","ref":"Yaq.html#t:value/0","title":"Yaq.value/0","type":"type"},{"doc":"YaqYet Another Queue module for Elixir","ref":"readme.html","title":"Yaq","type":"extras"},{"doc":"Yaq implements a double-ended queue in Elixir without using the Erlang :queue module. While very nice, :queue has a few limitations that I needed to work past:Some of the commands in :queue return a badarg instead of best-effort values. For example, calling :queue(n, q) when n is larger than the size of q raises an ArgumentError instead of giving me some value less than n. This may be fine in many circumstances, but my use cases just ask for some value in return.Getting the size of :queue is an O(N) operation, when it should be O(1)I wanted a module that I could use with other common Elixir libraries, such as Enum:queue is not very pipeable. The |&gt; operator is very convenient and one of the killer features of ElixirYaq implements the Enum and Collectable protocols","ref":"readme.html#about","title":"Yaq - About","type":"extras"},{"doc":"Double-ended ququeImplements Enumerable, Collectable protocols","ref":"readme.html#features","title":"Yaq - Features","type":"extras"},{"doc":"The package can be installed by adding yaq to your list of dependencies in mix.exs:def deps do [ {:yaq, &quot;~&gt; 1.0.0&quot;} ] endDocumentation can be found at https://hexdocs.pm/yaq.","ref":"readme.html#installation","title":"Yaq - Installation","type":"extras"},{"doc":"Copyright 2020 Nicholas David McKinneyLicensed under Apache License 2.0Check LICENSE and NOTICE files for more information","ref":"readme.html#license","title":"Yaq - License","type":"extras"}]